/******* Booking form *********/
.booking_section .booking-form{position:relative;width:100%;display: flex;justify-content: space-between;gap:25px;padding:25px 0 80px;}
.left_book_wrap{width:50%;position: relative;}
.right_book_wrap{width:50%;position: relative;}
.right_stic{position: sticky;top:0;padding:16px;border-radius:12px;}

@media (max-width:920px){
.booking_section .booking-form{width:100%;display: flex;gap:10px;padding:15px 0 0;}
}


@media (max-width:768px){
.booking_section .booking-form{flex-direction: column;gap:0;}
.left_book_wrap{width:100%;padding: 0 0 10px;}
.right_book_wrap{width:100%;}
.right_stic{position:relative;padding:0;}
}


.booking_section .booking-grid{display:flex;flex-direction:column;flex-wrap:wrap;width:100%;position: relative;padding:0 0 15px;}
.booking_section .booking-grid input:hover{color:#dc5547;}



.book_conditions_ttl{font-size:22px;line-height: 1.1;font-weight: 500;padding:15px 0 5px;}
.book_conditions_options{display:grid;grid-template-columns:repeat(2, 1fr);gap:5px;flex-wrap:wrap;padding:15px 0;}
.book_conditions_options .conditions-item{display:flex;align-items:center;padding:0 0 10px;position: relative;z-index: 2;gap:5px;}
.book_conditions_options .conditions-ico{position: relative;display: inline-flex;align-items: center;justify-content: center;width:40px;height:40px;border-radius:50px;background:var(--primary-color);z-index:-1;flex-shrink: 0;}
.book_conditions_options .conditions-ico img{filter:brightness(0) invert(1);width:26px;height:26px;}
.book_conditions_options .conditions-title{flex-grow:1;word-break: break-word;line-height: 1.1;font-weight: 400;}

@media (max-width: 768px) {
.book_conditions_options{grid-template-columns:repeat(1, 1fr);gap:0;}
.book_conditions_options .conditions-item {padding: 0;}
}




.included-wrap{display:grid;grid-template-columns:repeat(2, 1fr);gap:0;flex-wrap:wrap;padding:15px 0;}
.included-wrap .included-item {width:100%;}






.book_result_wrap{display:none;margin:15px 0;padding: 0 10px 10px;background: #fff;border-radius: 12px;}
.booking_wrap_line{display:flex;gap:10px;padding:5px 0;}
.booking_wrap_title{max-width:150px;width:50%;font-weight: 500;}
.booking_wrap_info{width:50%;display:flex;flex-wrap: wrap;}
.total_price {display: flex;align-items: center;}
.total_price_deposit{white-space: nowrap;padding:0 0 0 10px;font-size:14px;font-weight:400;}

.booking_car_name{padding:0 5px 0 0;}
.car_price{padding-left:5px;}
.change_car_link{color:#dc5547;cursor:pointer;width:100%;padding:5px 0;font-size: 14px;text-decoration: underline;}
.change_car_link:hover{text-decoration:underline;}

.book_warning_text{font-size:14px;color: #333;padding: 10px;margin: 10px 0 0;border-radius:12px;border: 1px dashed var(--primary-color);font-weight:500;}
.book_warning_text h2,
.book_warning_text h3,
.book_warning_text h4{padding:0 0 15px;font-size:18px;color:#000}
.book_warning_text *:last-child{padding:0;}
.form-alert-text{font-size:14px;color: #000;padding: 10px;margin: 10px 0;border-radius:12px;border: 1px dashed #ccc;background:rgba(255, 255, 255, 0.5);}

.check{display:inline-block;vertical-align:top;margin:0 3px 0 0;width:50px;height:20px;z-index:20;}
.check:hover{cursor:pointer;}
.check + label{cursor:pointer;position: relative;display:inline-block;text-align:left;width:48px;height:28px;border-radius:50px;border:2px solid transparent;}
.check + label:focus,.check + label:active,.check:active + label,.check:focus + label{border:2px solid #0E4929;}
.check:not(checked){position:absolute;opacity:0;visibility:hidden;height:0px;border:none;}
.check:not(checked) + label:before{content: '';position:absolute;top:2px;left:2px;width:44px;height:24px;border-radius:25px;background:#3d3d3d;}
.check:not(checked) + label:after{content:'\2716';position:absolute;top:4px;left:4px;width:20px;height:20px;border-radius:25px;background: #1B1B1B;color:#ddd;display:flex;align-items:center;justify-content: center;line-height:1;font-size:12px;transition: all .2s;}
.check:checked + label:before{background:#0E4929;}
.check:checked + label:after {left:24px;content:'\2714';color: #fff;font-size: 13px;}


@media (max-width:1000px){
.book_conditions_options{flex-direction: column;gap:0;}
.conditions-item{width:100%;padding:10px 0;}
}
@media (max-width:600px){
.book_result_wrap{margin: 15px 0 0;}
}

.book_form_wrap{padding:15px 0;}
.book_form_wrap .wpforms-submit-container.blocked{position:relative;}
.book_form_wrap .wpforms-submit-container.blocked:after{content:"";position:absolute;left:0;top:0;width:100%;height:100%;z-index:10;cursor:not-allowed;}

@media (max-width:550px){
.book_form_wrap .wpforms-submit {white-space: normal;}
.conditions-item{ display: flex; align-items: flex-start; gap: 10px; padding: 0; margin: 0 0 12px; font-size: 14px; line-height: 1.4; }

}


.not_selected_items{margin:20px 0 0;background:rgba(255, 255, 255, 0.05);padding:15px;border-radius:8px;position: relative;line-height:1;display:none;max-width:320px;text-align: center;margin: 0 auto;color: #f00;font-weight: 500;}
.not_selected_items:after{content:'';position: absolute;b;border: 10px solid transparent;border-bottom: 10px solid rgb(255 255 255 / 5%);top: -20px;left: 50%;transform: translateX(-50%);}
.loc_from_ns,
.loc_return_ns,
.car_ns{display:block;}


.custom-select{position:relative; width:100%; cursor:pointer; padding:5px 0; }
.select-trigger:is(:hover, :focus, :focus-within, :active){color:#dc5547;}
.select-options{position:absolute;z-index:2; top:100%; left:0; right:0; background:#3d3d3d; color:#eee; display:none; z-index:1000; border-radius:4px; box-shadow:0 4px 12px rgba(0,0,0,0.5); }
.option{padding:5px 12px;font-weight:400;border-bottom:1px solid #444;transition:background 0.2s;}
.option:hover{background:#444; }


.picker_container{background:#1a1a1a;position:relative;border-radius:12px;padding:16px;}
.picker_overlay{position:fixed; left:50%; top:50%;transform:translate(-50%,-50%); width:250px; height:250px; background:rgba(0,0,0,.4); display:none; align-items:center; justify-content:center; z-index:9999; }
.picker_box{display:flex;justify-content:center;gap:5px;position:relative;overflow:hidden;margin: 0 0 10px;}
.picker_col{width:80px;z-index:5;}
.picker_list_wrapper{height:120px;overflow:hidden;position:relative;margin:0;}
.picker_list{position:absolute;width:100%;top:60px;transition:top 0.4s cubic-bezier(0.22, 1, 0.36, 1);}
.picker_item{height:40px;line-height:40px;text-align:center;color:#666;font-size:18px;cursor:pointer;}
.picker_item.picker_active{color:#dc5547;font-weight:bold;font-size:20px;background: rgba(255,255,255,0.04);border-radius: 6px;}
.picker_arrow{width:100%;background:#333;color:#dc5547;border:none;padding:4px;cursor:pointer;border-radius:4px;}
.picker_arrow i{display:block;width:20px;height:20px;background:url(../images/svg_ico/arrow.svg) no-repeat center;background-size:contain;}
.picker_arrow.picker_up i{transform:rotate(180deg);}

.picker_btns{display:flex;align-items:center;justify-content:space-between;}
.picker_btns button{width:48%;}
.picker_cancel{background:none;}

body.picker-open{overflow:hidden;}


#auto-quiz{position:sticky;top:15px;}
.step{display:none;opacity:0;}
.step.active{display:block;opacity:1;}
.step_ttl_wrp{display: flex;align-items: center;gap:15px;padding: 10px 0 15px;}
.btn_back{font-size:16px;font-weight:500;line-height:1;text-transform: uppercase;color:#dc5547;display: flex;align-items: center;background:rgba(255,255,255,0.05);border-radius:6px;padding:8px;}
.btn_back:is(:hover, :focus, :focus-within, :active){color:#fff;cursor: pointer;background:#0E4929;}
.btn_back:is(:hover, :focus, :focus-within, :active) i{filter:none;}
.btn_back:is(:hover, :focus, :focus-within, :active) .arrow_btn:after{background:#fff;}

.arrow_btn{width:35px;height:20px;position:relative;}
.arrow_btn i{width:20px;height:20px;background:url(../images/svg_ico/arrow.svg) no-repeat center;background-size:20px;display: block;filter:invert(35%) sepia(42%) saturate(725%) hue-rotate(317deg) brightness(88%) contrast(112%);transform: rotate(90deg);}
.arrow_btn:after{content:'';position: absolute;top:50%;left:4px;width: 25px;height:3px;border-radius:5px;background:#dc5547;transform: translateY(-50%);}

.step-categories-b .step_ttl{padding:0 0 10px;}
.step_ttl{font-size:28px;line-height:1.1;font-weight:500;}

.car_catalog{display:grid;grid-template-columns:repeat(2,1fr);gap:25px;}
.autocat_item{display:flex;flex-direction:column;gap:10px;align-items: center; position:relative;cursor:pointer;border-radius:12px;padding:12px;}
.autocat_item img{max-width:100%;height:100%;}
.autocat_item:is(:hover, :focus, :focus-within, :active){background:rgba(255,255,255,0.05);}
.autocat_item_ttl{font-weight:500;font-size:16px;}

.car_card_wrap{display:grid;grid-template-columns:repeat(2,1fr);gap:15px;}
.autocard_item{padding:10px;display:block;position:relative;cursor:pointer;background: #fff;border-radius: 12px;}
.autocard_ttl_wrp{display:flex;align-items:flex-start;justify-content:space-between; position:relative;}
.autocard_ttl{font-size:22px;font-weight:bold;line-height:1;}

.autocard_item:is(:hover, :focus, :focus-within, :active) .auto-more span{transform:translateY(0);opacity:1;}
.autocard_item:is(:hover, :focus, :focus-within, :active) img{opacity:0.7;transform:scale(0.9);}


.autocard_price{display:flex;align-items:flex-end;justify-content: center; gap:5px;font-size:14px;padding: 0 0 10px;}
.autocard_rental_price{color:#dc5547;font-size:28px;font-weight:bold;line-height:37px;}
.tabs-content .label{font-size:14px; color:#888; text-transform:uppercase; letter-spacing:1px; margin-right:15px;}
.autocard_item_small .btn.autocard_choise{padding: 10px;}

@media (max-width:768px){
.car_card_wrap {gap:5px;padding:0 0 10px;}
.step_ttl {font-size: 22px;text-align: center;}
.autocard_ttl{font-size:18px;}
.autocard_item {padding: 20px 10px 10px;}
.autocard_item .auto-title {font-size:20px;}
.autocard_item_small .auto-title{font-size:20px;}

.autocard_item .rental-price {font-size:28px;line-height:19px;}
.autocard_item .btn.autocard_choise {padding: 10px 0;}
.autocard_item .bstslr_car_item {position: absolute;right: -10px;top: -24px;}
}


.car_modal{position:fixed;left:0;top:0;width:100%;height:100%;display:none;z-index:250;opacity:0;}
.car_modal.active {display:block;opacity:1;}
.car_modal_overlay{position:absolute;left:0;top:0;width:100%;height:100%;padding:4%; display:flex;align-items: center;justify-content: center;background:rgba(255,255,255,0.6); }
.car_modal_content{position:relative;max-width:960px;border-radius:8px;background:#f5f4f0; padding:20px;overflow: hidden;overflow-y: auto;max-height:100%;box-shadow:0 5px 15px 0 rgba(0,0,0,0.15);}


.car_modal_close{position:absolute;z-index:5;right:10px;top:10px;margin:0 auto;width:24px;height:24px;transition:all 0.3s ease-in-out;}
.car_modal_close:is(:hover, :focus, :focus-within, :active){cursor:pointer;}
.car_modal_close:after,
.car_modal_close:before{content:'';background:#000;top:10px;border-radius:5px;height:3px;width:22px;position:absolute;left:1px;transition:0.5s ease-in-out;}
.car_modal_close:after{transform:rotate(45deg);}
.car_modal_close:before{transform:rotate(-45deg);}
.car_modal_close:is(:hover, :focus, :focus-within, :active):after{transform:rotate(-45deg);}
.car_modal_close:is(:hover, :focus, :focus-within, :active):before{transform:rotate(45deg);}


.car_modal .car_modal_flex{display:flex;position:relative;gap:25px;}
.car_modal .car_modal_left{width:50%;}
.car_modal .car_modal_right{width:50%;align-self:center;}
.car_modal .rental-cell{padding:5px;}
.car_modal .btn_rghtctr{padding:15px 0 0 ;}


.car_modal .autocard_item_full .btn_rghtctr{display: flex;}
.car_modal .autocard_item_full .single_features_table_wrap{margin:0;}

@media (max-width:768px){
.car_modal .car_modal_flex{display:block}
.car_modal .car_modal_left{width:100%;}
.car_modal .car_modal_right{width:100%;}
.car_modal .auto-title{font-size:22px;}
.car_modal .car_modal_content{padding:40px 10px 10px;}
.car_modal_content{padding:20px 10px 10px;}
.car_modal_overlay{padding:5px;}
}



.autocard_item_full{padding:10px;color:#000;}
.autocard_item_full .auto-img{max-width:350px;margin:0 auto;}
.autocard_item_full .single_features_table_wrap{margin:25px 0 0;}
.autocard_item_full .car_modal .single_features_table_wrap {margin: 0;}
.autocard_item_full .btn_rghtctr{display:none;}
.autocard_item_full:is(:hover, :focus, :focus-within, :active) .auto-more{text-decoration:none;cursor: pointer;}
.autocard_item_full:is(:hover, :focus, :focus-within, :active) .auto-more span{transform:translateY(0);opacity:1;}
.autocard_item_full:is(:hover, :focus, :focus-within, :active) img{opacity:0.7;transform:scale(0.9);}

body .autocard_item_full .single_features_table_wrap,
body .autocard_item_full .single_features_table {padding: 0; }
body .autocard_item_full .single_feature_item {gap: 20px;margin: 0 0 10px;}

.sp_full_content{position:relative;z-index: 1;}


@media (max-width:768px){
.autocard_item_full{padding:0;border:none;}

.sp_full_card{position: relative;border-bottom:1px solid #3d3d3d;}

.sp_full_content{display:none;transition:none;padding:0 0 15px;}
.sp_full_content .single_feature_item .icon_ach{width:28px;height:28px;position:relative;flex:0 36px;}
}



